# Command: isatty

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    isatty - Determine if a stream is connected to a terminal.

Synopsis:

    stream isatty -> false|true

Description:

    Alternatives: Functions isatty_is for istreams, isatty_os
      for osstreams (both undocumented) -> behaviour and synopsis are the same.

Remarks:

    This is a wrapper to the POSIX kernel function istty().

SeeAlso:

- ctermid

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/lib/sli/processes.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative